### Hierarchy

- SettingOption
  - CheckboxOption

## Index

### Properties

- checked
- content
- template

### Methods

- toJSON

## Properties

### checked

checked: boolean

- Defined in packages/angular/src/toolkit/table-settings/settings/checkbox-setting.class.ts:5

### Optional content

content: Content

Inherited from SettingOption.content

- Defined in packages/angular/src/toolkit/table-settings/settings/setting.class.ts:6

### Optional template

template: TemplateRef<any>

Inherited from SettingOption.template

- Defined in packages/angular/src/toolkit/table-settings/settings/setting.class.ts:7

## Methods

### Optional toJSON

- toJSON(): any

- Inherited from SettingOption.toJSON

  - Defined in packages/angular/src/toolkit/table-settings/settings/setting.class.ts:8

  #### Returns any

Generated using TypeDoc